services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  HMMH\SolrFileIndexer\Backend\Widgets\:
    resource: '../Classes/Backend/Widgets/*'

  TYPO3\CMS\Dashboard\Widgets\WidgetConfiguration:
    autowire: false

  dashboard.widget.sfiIndexableDocumentsLanguage:
    class: 'HMMH\SolrFileIndexer\Backend\Widgets\IndexableDocumentsLanguageWidget'
    arguments:
      $view: '@dashboard.views.widget'
    tags:
      - name: dashboard.widget
        identifier: 'sfiIndexableDocumentsLanguage'
        groupNames: 'solr_file_indexer'
        title: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexableDocumentsLanguage.title'
        description: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexableDocumentsLanguage.title'
        iconIdentifier: 'content-widget-number'
        height: 'medium'
        width: 'small'

  dashboard.widget.sfiIndexableDocumentsDomain:
    class: 'TYPO3\CMS\Dashboard\Widgets\BarChartWidget'
    arguments:
      $dataProvider: '@HMMH\SolrFileIndexer\Backend\Widgets\Provider\IndexableDocumentsDomainProvider'
      $view: '@dashboard.views.widget'
    tags:
      - name: dashboard.widget
        identifier: 'sfiIndexableDocumentsDomain'
        groupNames: 'solr_file_indexer'
        title: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexableDocumentsDomain.title'
        description: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexableDocumentsDomain.title'
        iconIdentifier: 'content-widget-chart-bar'
        height: 'medium'
        width: 'small'

  dashboard.widget.sfiIndexedDocuments:
    class: 'TYPO3\CMS\Dashboard\Widgets\DoughnutChartWidget'
    arguments:
      $dataProvider: '@HMMH\SolrFileIndexer\Backend\Widgets\Provider\IndexedDocumentProvider'
      $view: '@dashboard.views.widget'
    tags:
      - name: dashboard.widget
        identifier: 'sfiIndexedDocuments'
        groupNames: 'solr_file_indexer'
        title: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexedDocuments.title'
        description: 'LLL:EXT:solr_file_indexer/Resources/Private/Language/locallang_db.xlf:widgets.indexedDocuments.title'
        iconIdentifier: 'content-widget-chart-pie'
        height: 'medium'
        width: 'small'
